package com.android.base.interfaces;

import android.view.View;

import timber.log.Timber;



public abstract class OnItemLongClickListener<T> implements View.OnLongClickListener {

    @Override
    @SuppressWarnings("unchecked")
    public final boolean onLongClick(View v) {
        Object tag = v.getTag();
        if (tag == null) {
            Timber.w("OnItemLongClickListener tag is null , view = " + v);
            return false;
        }
        return onClick(v, (T) tag);
    }

    public abstract boolean onClick(View view, T t);


}
